{%- from 'components/section.html.jinja' import subpage_header, fim_coach_verzeichnis -%}
{% extends "base.html.jinja" %}

{% macro _icon_header(icon, title) %}
  <div class="d-flex flex-row gap-2 align-items-center mb-3">
    <i
      class="bi bi-{{ icon }} rounded d-inline-flex justify-content-center align-items-center justify-content-center fs-2 text-primary bg-itpr-blue-6"
      style="width: 1.5em; height: 1.5em;"
    ></i>
    <h3 class="fs-2 card-title mb-0">{{ title }}</h3>
  </div>
{% endmacro %}

{%- block page -%}
  {{ subpage_header(base, page.seminar.titel) }}

  <section class="p-5">
    <h2 class="visually-hidden">Beschreibung</h2>
    <div class="container p-5">
      {{ _icon_header('eye-fill', 'Überblick') }}
      <div class="mb-5">{{ page.seminar.ueberblick|safe }}</div>
      <div class="d-flex flex-row gap-3 mb-3">
        {% for file_link in page.seminar.get_files() %}
          <a
            class="d-inline-flex gap-2 align-items-center"
            target="_blank"
            href="{{ file_link.href }}"
            aria-label="{{ file_link.label }} (öffnet in neuem Tab)"
          >
            <i class="bi bi-file-earmark-text-fill fs-5"></i>
            {{ file_link.label }}
          </a>
        {% endfor %}
      </div>
      <div class="d-flex flex-row gap-3">
        <a class="btn btn-light" href="#fim-coaches"
          >Ansprechpartner <i class="bi bi-arrow-down-circle-fill ms-1"></i
        ></a>
      </div>
    </div>
  </section>

  <div class="container px-5"><hr /></div>

  <section class="container p-5">
    <div class="row g-5">
      <div class="col-12 col-lg-6">
        {{ _icon_header('award-fill', 'Ziele') }}
        <div class="mb-5">{{ page.seminar.ziele|safe }}</div>
      </div>

      <div class="col-12 col-lg-6">
        {{ _icon_header('person-check-fill', 'Zielgruppe') }}
        <div class="mb-5">{{ page.seminar.zielgruppe|safe }}</div>
      </div>
    </div>
  </section>

  <div class="container px-5"><hr /></div>

  <section class="container p-5">
    <div class="row g-5">
      <div class="col-12 col-lg-6">
        {{ _icon_header('exclamation-triangle-fill', 'Teilnahmevoraussetzungen') }}
        <div class="mb-5">{{ page.seminar.teilnahmevoraussetzungen|safe }}</div>
      </div>

      <div class="col-12 col-lg-6">
        {{ _icon_header('stopwatch', 'Dauer') }}
        <div class="mb-5">{{ page.seminar.dauer|safe }}</div>

        {{ _icon_header('people-fill', 'Teilnehmerzahl') }}
        <div class="mb-5">{{ page.seminar.teilnehmerzahl|safe }}</div>
      </div>
    </div>
  </section>

  <div class="container px-5"><hr /></div>

  <section class="container p-5">
    {{ _icon_header('list-nested', 'Agenda') }}
    <div class="mb-5">{{ page.seminar.agenda|safe }}</div>
  </section>

  {{ fim_coach_verzeichnis(fim_coaches, true) }}
{%- endblock -%}
